﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Logofatu
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }

        private void quadratePanel_Paint(object sender, PaintEventArgs e)
        {
            paint(e.Graphics);            
        }

        private void paint(Graphics g)
        {
            Size dim = quadratePanel.Size;
            drawSquare(g, dim.Width / 2, dim.Height / 2, Math.Min(dim.Width / 2, dim.Height / 2));
        }

        private void drawSquare(Graphics g, int x, int y, int l)
        {
            if ( l > 10 )
            {
                drawSquare(g, x - l / 2, y - l / 2, l / 2);
                drawSquare(g, x - l / 2, y + l / 2, l / 2);
                drawSquare(g, x + l / 2, y - l / 2, l / 2);
                drawSquare(g, x + l / 2, y + l / 2, l / 2);
                g.FillRectangle(Brushes.White, x - l / 2, y - l / 2, l, l); // gefülltes Rechteck
                g.DrawRectangle(Pens.Black, x - l / 2, y - l / 2, l, l);    // mit Umrisslinie         
            }            
        }       

        private void quadratePanel_Resize(object sender, EventArgs e)
        {            
            this.Refresh();
        }
    }
}
